Subject: Re: [PATCH 0/5 v2] Worktree/Gitdir at root directory

From: Johannes Sixt <[email-masked]>
Date: Fri, 12 Feb 2010 17:00:14 +0100

João Carlos Mendes Luís schrieb:
> Johannes Sixt wrote:
>> I don't see any regressions in may tests on Windows, but I actually 
>> don't know what to test (the chroot test doesn't work on Windows). I 
>> did test on the root of a partition
>>
>>    T:\> git init
>>    T:\> cd foo
>>    T:\foo> git add bar
>>
>> and it works as expected.
> 
> Beware: My first proposed patch "worked" at this level, but failed 
> completely when I wanted to commit.   Try more operations just to be sure.

I tried commit, fetch, checkout, and they work as expected.

-- Hannes